--- title: "Create a Job" url: https://docs.catalyst.zoho.com/en/sdk/javascript/v1/job-scheduling/job/create-job/ description: "This page describes the method to perform operations in the DataStore component." last_updated: 2026-09-09T10:45:38Z service: Job Scheduling type: general related_links: - name: "Catalyst Job Scheduling" url: /en/job-scheduling/ - name: "Jobs" url: /en/job-scheduling/help/job/introduction/ - name: "Java SDK Documentation" url: /en/sdk/java/v1/job-scheduling/jobs/create-job/ - name: "Python SDK Documentation" url: /en/sdk/python/v1/job-scheduling/jobs/create-job/ - name: "REST API Documentation" url: /en/api/code-reference/job-scheduling/job/submit-job/submit-webhook-job/#SubmitWebhookJobByID repository: name: "Repository" url: https://github.com/catalystbyzoho/zcatalyst-sdk-js --- # Create a Job > **Note:** Ensure you have installed the [required package](https://docs.catalyst.zoho.com/en/sdk/javascript/v1/job-scheduling/overview/#prerequisites) to use this SDK method. Using the `submitJob()` SDK method you will be able to create and submit a job to the job pool. You can use this method to create and submit a job to trigger a [Job Function](https://docs.catalyst.zoho.com/en/serverless/help/functions/job-functions/), [Circuit](https://docs.catalyst.zoho.com/en/serverless/help/circuits/introduction/), [AppSail](https://docs.catalyst.zoho.com/en/serverless/help/appsail/introduction/) service, or a Webhook (any third-party URL). The required Job Pool will be referred to using its name. The `jobScheduling` reference used in the code snippets below is the [component instance](https://docs.catalyst.zoho.com/en/sdk/javascript/v1/job-scheduling/create-instance/) created to perform these operations. **Job Function** #### Parameters Used The details of the Job that needs to be created and submitted to the *Function Job Pool* to trigger a Job Function will be passed as a JSON object to the `submitJob()` SDK method. The following table defines the details that need to be provided in the JSON object.
| JSON Attributes | Definition |
|---|---|
| `job_name` | **Mandatory** parameter. The name to refer to your job. |
| `jobpool_name` | **Mandatory** parameter. The name of the job pool you are submitting your job to. |
| `target_type` | **Mandatory** parameter. Set the value as **Function** to submit a job to the Function Job Pool to trigger a Job Function. |
| `target_name` or `target_id` | You need to provide either the Name or the ID of the job function that needs to triggered. However, providing both is **optional**. |
| `params` | **Optional** parameter. These are params that you pass to the target function. The required parameters need to be provided as key-value pairs in a JSON. |
| `job_config` |
|
| JSON Attributes | Definition |
|---|---|
| `job_name` | **Mandatory** parameter. The name to refer to your job. |
| `jobpool_name` | **Mandatory** parameter. The name of the job pool you are submitting your job to. |
| `target_type` | **Mandatory** parameter. Set the value as **Circuit** to submit a job to the Circuit Job Pool to trigger a Circuit. |
| `target_name` or `target_id` | You need to provide either the Name or the ID of the Circuit that needs to triggered. However, providing both is **optional**. |
| `test_cases` | **Mandatory** parameter. You need to provide the test cases as a JSON key-value pair. |
| `job_config` |
|
| JSON Attributes | Definition |
|---|---|
| `job_name` | **Mandatory** parameter. The name to refer to your job. |
| `jobpool_name` | **Mandatory** parameter. The name of the job pool you are submitting your job to. |
| `target_type` | **Mandatory** parameter. Set the value as **AppSail** to submit a job to the AppSail Job Pool to trigger an AppSail service. |
| `target_name` or `target_id` | You need to provide either the Name or the ID of the AppSail that needs to triggered. However, providing both is **optional**. |
| `request_method` | **Mandatory** parameter. Provide the AppSail request method. |
| `url` | **Mandatory** parameter. Provide the AppSail endpoint. |
| `params` | **Optional** parameter. You can provide query params as JSON key-value pairs. |
| `headers` | **Optional** parameter. You can provide headers as JSON key-value pairs. |
| `request_body` | **Optional** parameter. Provide the request body. |
| `job_config` |
|
| JSON Attributes | Definition |
|---|---|
| `job_name` | **Mandatory** parameter. The name to refer to your job. |
| `jobpool_name` | **Mandatory** parameter. The name of the job pool you are submitting your job to. |
| `target_type` | **Mandatory** parameter. Set the value as **Webhook** to submit a job to the Webhook Job Pool to trigger the required URL. |
| `request_method` | **Mandatory** parameter. Provide the required request method. |
| `url` | **Mandatory** parameter. Provide the webhook's request URL. |
| `params` | **Optional** parameter. You can provide query params as JSON key-value pairs. |
| `headers` | **Optional** parameter. You can provide headers as JSON key-value pairs. |
| `request_body` | **Optional** parameter. Provide the webhook's request body. |
| `job_config` |
|